This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268316 - Can't use A/V content of a website
Can't use A/V content of a website
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
http://guide.chapelsistine.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 09:44 EDT by Peter H. Jones
Modified: 2016-07-19 15:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter H. Jones 2015-10-02 09:44:58 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:41.0) Gecko/20100101 Firefox/41.0
Build Identifier: 

I am marking this bug report as "security sensitive" because I suspect the above URL is not meant to be disseminated publicly, only to visitors of the exhibit. When I searched for "guide.chapelsistine.com" with Google, I got only two hits in a Cyrillic alphabet. Please double-check to make sure the URL is not publicly visible on Bugzilla.

Visitors at the Sistine Chapel traveling exhibit are given the following address to access the audio/video guides:
http://guide.chapelsistine.com , which I have copied above.

I can access this site through the normal internet, not just the the wifi the exhibit provides to its visitors.

I can access the menus, but when I select one:
1) the audio link shows a player window but clicking on the Play arrow does nothing and the time stays at 0:00
2) the video link does nothing

I suspect I am missing a plugin or two, or perhaps my security settings are too restrictive. I did not see any diagnostic messages to help me resolve the problem.

Version-Release number of selected component (if applicable):
firefox-41.0-4.fc22.x86_64


Reproducible: Always

Steps to Reproduce:
1. Access the above URL. Site redirects to a URL in http://ems.fluxguide.com.
2. A picture of a device appears. Click on Start
3. A menu with numbers and pictures appears. Click on one, such as "99".
4. Select Audio or Video

Actual Results:  
Audio: A player appears, but clicking on Play stays at the beginning
Video: Nothing happens


Expected Results:  
Audio/video links should work, or diagnostics should be given.


Works fine on Safari on an Ipad, IOS 9.0.2.

Google Chrome insists on passing the URL through a search, even if I use the http:// prefix, so I could not access the site at all.

I don't have Internet Explorer, so I could not test with that.
Comment 1 Martin Prpič 2015-10-05 08:51:09 EDT
(In reply to Peter H. Jones from comment #0)

Hi Peter, the Security keyword is described as:

"Bugs with the "Security" keyword are those that relate to a security vulnerability with a Red Hat product or service."

The fact that the URL is not public has no security implications on any of our products or services.
Comment 2 Peter H. Jones 2015-10-05 11:00:16 EDT
Shouldn't the private group be kept, so that the museum's URL would remain hidden from the public?
Comment 3 Jan Horak 2015-10-08 05:55:42 EDT
Cannot reproduce this one, please try with fresh profile (firefox -P and then create new profile) and/or in safe-mode (firefox -safe-mode).
Comment 4 Peter H. Jones 2015-10-09 08:29:08 EDT
I tried both with firefox-41.0.1-2.fc22.x86_64. Behaviour is the same; I chose English as a Language, then number 99. Audio stays stuck at beginning, even after hitting Play triangle. Video dims momentarily, then displayed a before.

"firefox -P http://guide.chapelsistine.com/
2015-10-09 08:18:27: basic_code_modules.cc:70: ERROR: Module /lib64/libudev.so.1 could not be stored

** (firefox:4610): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed

** (firefox:4610): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed

** (firefox:4610): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed
[jones@localhost firefoxbug]$ firefox --safe-mode http://guide.chapelsistine.com/
2015-10-09 08:21:27: basic_code_modules.cc:70: ERROR: Module /lib64/libudev.so.1 could not be stored
Performance warning: Async animation disabled because frame size (435, 3125) is bigger than the viewport (1440, 900) or the visual rectangle (435, 3125) is larger than the max allowable value (17895698) [div with id 'scroller_gallery']

** (firefox:4795): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed

** (firefox:4795): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed

** (firefox:4795): CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed
"
Comment 5 Jan Horak 2015-11-06 09:28:30 EST
Could you please try to install scratch build from there and retest: http://koji.fedoraproject.org/koji/taskinfo?taskID=11724972
It has system gstreamer disabled.

Thank you.
Comment 6 Peter H. Jones 2015-11-06 10:35:18 EST
Just tried your scratch version with a fresh profile. I can't find a way to check if it really is the scratch version I am running.

Results are as in comment 4, i.e. when I hit Audio and the Play arrow, a Pause icon appears, but the timer remains at 0:00. Hitting Video causes the link to dim momentarily, but nothing else happens.

The "assert" messages are gone.

Console output:
"firefox -P http://guide.chapelsistine.com
2015-11-06 10:25:02: basic_code_modules.cc:70: ERROR: Module /lib64/libudev.so.1 could not be stored
WARNING: content window passed to PrivateBrowsingUtils.isWindowPrivate. Use isContentWindowPrivate instead (but only for frame scripts).
pbu_isWindowPrivate@resource://gre/modules/PrivateBrowsingUtils.jsm:25:14
nsBrowserAccess.prototype.openURI@chrome://browser/content/browser.js:15445:21
Performance warning: Async animation disabled because frame size (435, 3125) is bigger than the viewport (1440, 828) or the visual rectangle (435, 3125) is larger than the max allowable value (17895698) [div with id 'scroller_gallery']"
Comment 7 Peter H. Jones 2015-11-06 10:49:45 EST
Actually, I found that I had forgotten to install the scratch version. When I ran that, I got the following console output:
"firefox -P http://guide.chapelsistine.com
Performance warning: Async animation disabled because frame size (435, 3125) is bigger than the viewport (1440, 828) or the visual rectangle (435, 3125) is larger than the max allowable value (17895698) [div with id 'scroller_gallery']
"

Behaviour is the same as comment 4.
Comment 9 Fedora End Of Life 2016-07-19 15:57:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.